<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_934da0e4d27867b7260" . "5f2f2a82ddad0" => base64_decode("KGludDppZDEsIH" . "N0cjprZXksIGlu" . "dDppZDIsIDAp"), "_e98bb44779e271" . "9d990b12523648e" . "307" => base64_decode("U0VMRUNUIGlkIEZST00gcmJfZXZlbnRzIFdIRVJFIH" . "BpZCA9IC0xIEFORCByb29tX2lkID0gaW50Omlk"), "_1044ad6e" . "c3f2b15d2" . "0a3b7353c" . "fb4d02" => base64_decode("U0VMRUNUIENPVU5UKCopIEZST00gcmJfb2JqIFdI" . "RVJFIHBpZD1pbnQ6aWQ="), "_f318226b856b8a6" . "5f1826300a281617" . "b" => base64_decode("REVMRVRFIEZST00gcmJfbGlua3MgV0hFUkUgdmFsPWlu" . "dDppZCBBTkQgdHlwZT0ncm9vbScgQU5EIGJvb2tpbmc9" . "aW50OmJvb2tpbmc="), "_2acee84482629451244" . "aab96a01623cd" => base64_decode("cm" . "9v" . "bQ" . "=="), "_8695e37b2" . "f8e63ab89c" . "4690829019" . "3ec" => base64_decode("c2VsZWN0IHJiX2xpbmtzLm9ial9pZCBmcm9tIHJiX2xpbmtzLCByYl9vYmogd2hlcmUgcmJfbGlua3MudmFsPWl" . "udDppZCBhbmQgcmJfb2JqLnR5cGU9J2ZhYycgYW5kIHJiX29iai5pc19zdXNwZW5kZWQ9MCBhbmQgcmJfbGlua3" . "Mub2JqX2lkPXJiX29iai5pZCBhbmQgcmJfbGlua3MuYm9va2luZz1pbnQ6Ym9va2luZw=="), "_b3a356a0e258224970" . "2c68be9887158b" => base64_decode("KGludDppZDEsICdyb29tJy" . "wgaW50OmlkMiwgMCk="), "_5b81cb6cf0b" . "fd990583fc12" . "ddd80cd32" => base64_decode("ZmF" . "j"));
class RBRoom extends RBMainClass
{
    public function __construct($_876ca2097b275e704d71e00d36b3e7c5, $name = 'EmptyName')
    {
        parent::__construct($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2acee84482629451244aab96a01" . "623cd"], $_876ca2097b275e704d71e00d36b3e7c5, $name);
    }
    public function Load($id)
    {
        parent::Load($id);
        $this->_loadFacilities();
    }
    protected function _loadFacilities()
    {
        global $db;
        $query = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_8695e37b2f8e63ab89c4690" . "8290193ec"];
        $_189840d11056515e52402d1412a0b6e4 = $db->query($query, $this->id, $this->booking);
        while (list($id) = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $this->AddObj($id, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_5b81cb6cf0bfd990583fc12d" . "dd80cd32"]);
        }
    }
    protected function _createObjInsertString($key, $id)
    {
        if ($key == $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_5b81cb6cf0bfd99" . "0583fc12ddd80cd3" . "2"]) {
            return new QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_b3a356a0e2582249702c68be9" . "887158b"], $id, $this->id);
        }
        return new QueryPart($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_934da0e4d27867b72605f" . "2f2a82ddad0"], $this->id, $key, $id);
    }
    protected function _updateObjList()
    {
        global $db;
        $db->query($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_f318226b856b8" . "a65f1826300a28" . "1617b"], $this->id, $this->booking);
        parent::_updateObjList();
    }
    function Delete($_ef6f2587bed6ce140025395807730533 = false)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = $db->query($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e98bb44779e2719d990" . "b12523648e307"], $this->id)->fetchAllValues();
        foreach ((array) $_343a395319323dd7609bcbc465b4d034 as $id) {
            $this->_facade->DeleteEvent($id);
        }
        parent::Delete();
    }
    public function isEmpty()
    {
        global $db;
        list($_f53d35a1a1e233d98d9ce73d92ab3bb1) = $db->query_row($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_1044ad6ec3f2b15d20a3b7353cfb4d0" . "2"], $this->id);
        return $_f53d35a1a1e233d98d9ce73d92ab3bb1 < 1;
    }
}